Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160201 - X server busy loops in DRI ioctl
Summary: X server busy loops in DRI ioctl
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 5
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard: MassClosed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-13 11:34 UTC by Andreas Schultze
Modified: 2015-01-04 22:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-20 04:37:05 UTC


Attachments (Terms of Use)

Description Andreas Schultze 2005-06-13 11:34:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-2

Description of problem:
When running OpenGL programs like bzflag, after a while X seems to hang/busy loop. Stracing the X process gives:

[root@acer ~]# strace -p 3470
Process 3470 attached - interrupt to quit
ioctl(8, 0x6444, 0)                     = -1 EBUSY (Device or resource busy)
--- SIGALRM (Alarm clock) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
ioctl(8, 0x6444, 0)                     = -1 EBUSY (Device or resource busy)
ioctl(8, 0x6444, 0)                     = -1 EBUSY (Device or resource busy)
--- SIGALRM (Alarm clock) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
ioctl(8, 0x6444, 0)                     = -1 EBUSY (Device or resource busy)
--- SIGALRM (Alarm clock) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
ioctl(8, 0x6444, 0)                     = -1 EBUSY (Device or resource busy)
--- SIGALRM (Alarm clock) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
ioctl(8, 0x6444, 0)                     = -1 EBUSY (Device or resource busy)
ioctl(8, 0x6444, 0)                     = -1 EBUSY (Device or resource busy)
[...]

and so forth. File descriptor 8 is the DRI device file:

[root@acer ~]# lsof -p 3470
[...]
X       3470 root    8u   CHR      226,0               9754 /dev/dri/card0
[...]

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1366_FC4 xorg-x11-6.8.2-31

How reproducible:
Always

Steps to Reproduce:
1. Start bzflag
2. Play for a while  

Actual Results:  X hangs/busy loops

Expected Results:  X works

Additional info:

When killing the X process, the kernel crashes for real.

Comment 1 Andreas Schultze 2005-06-13 13:43:57 UTC
I forgot to mention the videocard:

[root@acer ~]# lspci
[...]
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R250 Lf [FireGL
9000] (rev 01)
[...]

Comment 2 Dave Jones 2005-07-15 21:05:29 UTC
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.


Comment 3 Andreas Schultze 2005-07-18 12:44:34 UTC
Hello,

The same Error occurres with the 2.6.12-1.1398_FC4 Kernel.
I've recreated hwconf and modprobe.conf using kudzu.

Regards,
Andreas

Comment 4 Dave Jones 2005-09-30 06:06:04 UTC
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.


Comment 5 Andreas Schultze 2005-10-04 15:17:36 UTC
Same Error with 2.6.13-1.1526_FC4!

Regards,
Andreas

Comment 6 Andreas Schultze 2005-10-25 15:48:46 UTC
Same Error with the .1532 Kernel!

Regards,
Andreas

Comment 7 Dave Jones 2005-11-10 19:02:45 UTC
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.


Comment 8 Andreas Schultze 2005-11-30 07:59:19 UTC
Same Error with 2.6.14-1.1637_FC4!

Regards,
Andreas

Comment 9 Andreas Schultze 2005-12-22 15:48:21 UTC
Same Error with 2.6.14-1.1653_FC4!

Regards,
Andreas

Comment 10 Andreas Schultze 2006-01-11 09:36:40 UTC
Same Error with 2.6.14-1.1656_FC4!

Regards,
Andreas

Comment 11 Dave Jones 2006-02-03 06:30:08 UTC
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.


Comment 12 Andreas Schultze 2006-02-03 15:48:58 UTC
Same Error with 2.6.15-1.1830_FC4!

Regards,
Andreas



Comment 13 Andreas Schultze 2006-02-16 09:45:55 UTC
Same Error with 2.6.15-1.1831_FC4!

Regards,
Andreas

Comment 14 Dave Jones 2006-09-17 01:34:54 UTC
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.

Comment 15 Dave Jones 2006-10-16 20:12:07 UTC
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Comment 16 Jon Stanley 2008-01-20 04:37:05 UTC
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.


Note You need to log in before you can comment on or make changes to this bug.